#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

require "csv"
data = CSV.read("kago.csv")
data.each do |row|
  while 1 < row.length
    x = row.length
    printf("%d日前%sを食べた。残り%sになった。\n",x,row.shift,row)
  end
  printf("昨日%sを食べた。美味しかった\n",row.shift)
end
